BlazeSD plugin installation error

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

BlazeSD plugin installation error

yyarovoy
I've just tried to install blazeds-2.0 plugin in my Grails 2.0.0RC3 application but I got this error:


| Environment set to development.....
| Resolving plugin blazeds. Please wait...
| Installing zip blazeds-2.0.zip...
| Installing zip blazeds-2.0.zip....
| Installing zip blazeds-2.0.zip.....
| Installed plugin blazeds-2.0
| Resolving plugin JAR dependencies
| Error Failed to install plugin [blazeds-2.0]. Plugin has missing JAR dependencies.
| Resolving plugin JAR dependencies.

After that I've included plugin as zip-file, but when I tried to run application I got another error:

| Configuring classpath
| Error Failed to resolve dependencies (Set log level to 'warn' in BuildConfig.groovy for more information):

- com.adobe.blazeds:blazeds-common:4.0.0.14931
- com.adobe.blazeds:blazeds-core:4.0.0.14931
- com.adobe.blazeds:blazeds-proxy:4.0.0.14931
- com.adobe.blazeds:blazeds-remoting:4.0.0.14931

Can anybody help me to fix the problem?
Reply | Threaded
Open this post in threaded view
|

Re: BlazeSD plugin installation error

yyarovoy
Hi, guys!

I've just added this line

mavenRepo "http://s3.amazonaws.com/maven.springframework.org/"

to "repositories" section of BuildConfig.groovy and this allowed to move further but did not solve my problem. Now grails finds the dependencies in the new repo and tries to load them but finishs an installation with this exception:

grails> install-plugin blazeds --stacktrace
| Downloading: blazeds-remoting-4.0.0.14931.pom.sha1
| Error Failed to install plugin [blazeds-2.0]. Plugin has missing JAR dependencies.
| Downloading: blazeds-remoting-4.0.0.14931.pom.sha1.
| Error Error installing plugin: null
| Downloading: blazeds-remoting-4.0.0.14931.pom.sha1..
| Error Error installing plugin: null
| Error Error installing plugin: null
| Error Error running script install-plugin blazeds --stacktrace: org.codehaus.groovy.grails.cli.ScriptExitException (NOTE: Stack trace has been filtered. Use --verbose to see entire trace.)
org.codehaus.groovy.grails.cli.ScriptExitException
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrConstructorNewInstance(ReflectiveInterceptor.java:963)
        at _GrailsSettings_groovy$_run_closure4.doCall(_GrailsSettings_groovy:140)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at org.codehaus.gant.GantMetaClass.invokeMethod(GantMetaClass.java:133)
        at InstallPlugin$_run_closure1.doCall(InstallPlugin.groovy:65)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at org.codehaus.gant.GantMetaClass.invokeMethod(GantMetaClass.java:133)
        at org.codehaus.gant.GantBinding$_initializeGantBinding_closure5_closure16_closure18.doCall(GantBinding.groovy:185)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at org.codehaus.gant.GantBinding$_initializeGantBinding_closure5_closure16_closure18.doCall(GantBinding.groovy)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at org.codehaus.gant.GantBinding.withTargetEvent(GantBinding.groovy:90)
        at org.codehaus.gant.GantBinding.this$4$withTargetEvent(GantBinding.groovy)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at org.codehaus.gant.GantBinding$_initializeGantBinding_closure5_closure16.doCall(GantBinding.groovy:185)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at org.codehaus.gant.GantBinding$_initializeGantBinding_closure5_closure16.doCall(GantBinding.groovy)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at gant.Gant$_dispatch_closure5.doCall(Gant.groovy:381)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at gant.Gant$_dispatch_closure7.doCall(Gant.groovy:415)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at gant.Gant$_dispatch_closure7.doCall(Gant.groovy)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at gant.Gant.withBuildListeners(Gant.groovy:427)
        at gant.Gant.this$2$withBuildListeners(Gant.groovy)
        at gant.Gant$this$2$withBuildListeners.callCurrent(Unknown Source)
        at gant.Gant$this$2$withBuildListeners.callCurrent(Unknown Source)
        at gant.Gant.dispatch(Gant.groovy:415)
        at gant.Gant.this$2$dispatch(Gant.groovy)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at gant.Gant.invokeMethod(Gant.groovy)
        at gant.Gant.executeTargets(Gant.groovy:591)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
        at gant.Gant.executeTargets(Gant.groovy:590)
        at com.springsource.loaded.ri.ReflectiveInterceptor.jlrMethodInvoke(ReflectiveInterceptor.java:1231)
| Error Error running script install-plugin blazeds --stacktrace: org.codehaus.groovy.grails.cli.ScriptExitException
Reply | Threaded
Open this post in threaded view
|

Re: BlazeSD plugin installation error

bschaaf
In reply to this post by yyarovoy
Hi, I ran into the same issues. Did you already find a solution to use the BlazeDS plugin with Grails 2.x ?